<?php
session_start();
$ruta="../../";
include_once($ruta."class/recuperacion.php");
$recuperacion=new recuperacion;
include_once($ruta."class/recuperacionmov.php");
$recuperacionmov=new recuperacionmov;
extract($_POST);

	$valores=array(
		"idrecuperacion"=>"'$idrecuperacion'",
		"nrorecibo"=>"'$idnrorecibo'",
		"monto"=>"'$idmontocobrado'",
		"interes"=>"'$idinteres'",
		"fecha"=>"'$idfecha'",
		"descripcion"=>"'$iddescripcion'"
	 );	
	if($recuperacionmov->insertar($valores))
	{
		 $recu=$recuperacion->muestra($idrecuperacion);
		 $total=0;
		  foreach($recuperacionmov->mostrarTodo("idrecuperacion=".$idrecuperacion) as $remov)
		  {
		      $total=$total+number_format($remov['monto'], 2, '.', '');
		  }
		$saldonuevo=number_format($recu['monto'], 2, '.', '') - number_format($total, 2, '.', '');
		$valoresrec=array(
			"saldo"=>"'$saldonuevo'"
		 );	
		$recuperacion->actualizar($valoresrec,$idrecuperacion);
		?>

		<script type="text/javascript">
		swal({
			title: "Exito !!!",
			text: "Registrado correctamente",
			type: "success",
			showCancelButton: false,
			confirmButtonColor: "#28e29e",
			confirmButtonText: "OK",
			closeOnConfirm: false
          }, function () {
			//location.href="../";
			location.reload();
          });
		</script>
	    <?php
		
	}else{
		?>
			<script type="text/javascript">
				swal("ERROR","No se registro, consulte con sistemas","error");
			</script>
		<?php
	 }


?>